/* Copyright (c) 2008 The Samraksh Company.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written
 * agreement is hereby granted, provided that the above copyright
 * notice, the following paragraph and any author information appear in
 * all copies of this source code.
 *
 * THIS SOFTWARE IS PROVIDED BY THE SAMRAKSH COMPANY `AS IS' AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
 * NO EVENT SHALL THE SAMRAKSH COMPANY BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, LOSS OF USE, DATA, OR PROFITS) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *
 * Version: 1.0, Modified April 19, 2008
 * Author: Sandip Bapat, <sandip.bapat@samraksh.com>
*/

#ifndef WIRELESS_COLLECT_H
#define WIRELESS_COLLECT_H

enum {
  SAMPLES_PER_PKT = 6, // compress multiple samples into one packet to conserve bandwidth,
					   // Each sample is 4 bytes (2 each for I and Q) so total bytes
					   // are 4*SAMPLES_PER_PKT

  AM_RADAR_RADIO_MESSAGE = 239,
  SAMPLING_PERIOD_MILLIS = 6,
};

typedef nx_struct radar_radio_msg {
  nx_uint16_t counter;
  nx_uint16_t sample[2*SAMPLES_PER_PKT];
} radar_radio_msg_t;

#endif
